
# Dotnet Project Template

A low dependency and really simple to start project template for Python Projects.

See also 
- [Dotnet-Library-Template](https://git.disi.dev/Templates/Dotnet_Library/) for a library template.

### HOW TO USE THIS TEMPLATE

1. Create a new repository from this template and choose a name for your project
   (e.g. `my_awesome_project` - recommendation is to use underscores separation for repo names.)
2. Wait until the first run of CI finishes (Gitea Actions will process the template and commit to your new repo)
3. Read the file [CONTRIBUTING.md](CONTRIBUTING.md)
4. Then clone your new project and happy coding!

> **NOTE**: **WAIT** until first CI run on gitea actions before cloning your new project.

### What is included on this template?

- 🖼️ Templates for starting multiple application types:
  **Run `make init` after cloning to generate a new project based on a template.**
- 🤖 A [Makefile](Makefile) with the most useful commands to install, test, lint, format and release your project.
- 📃 Documentation structure using [mkdocs](http://www.mkdocs.org)
- 💬 Auto generation of change log using **gitchangelog** to keep a HISTORY.md file automatically based on your commit history on every release.
- 🐋 A simple [Containerfile](Containerfile) to build a container image for your project.  
  `Containerfile` is a more open standard for building container images than Dockerfile, you can use buildah or docker with this file.
- 🧪 Testing structure
- ✅ Code linting
- 🎯 Entry points to execute your program with basic CLI argument parsing.
- 🔄 Continuous integration using [Gitea Actions](.gitea/workflows/) with jobs to lint, test and release your project on Linux, Mac and Windows environments.

<!--  DELETE THE LINES ABOVE THIS AND WRITE YOUR PROJECT README BELOW -->

---
# project_name

project_description

## Usage

TODO: dotnet sample code on usage

## Development

Read the [CONTRIBUTING.md](CONTRIBUTING.md) file.
